env <- new.env()
repeat {
	line <- readLines(n=1)
	line <- sub("[[:space:]]+$", "", sub("^[[:space:]]+", "", line))
	if (line == "") next
	try(
		print(
			eval(
				parse(text=line),
				envir=env
			)
		)
	)
}
